Subject: SEGV in git-apply

From: Martin Waitz <[email-masked]>
Date: Sat, 20 Jan 2007 02:48:52 +0100

hoi :)

I just hit this bug in git-apply, while executing it in a subdirectory.
At the moment I am using some mixture of next and some own changes
(mostly submodule support, should not affect this bug).

I am afraid that I don't have the time to fix it myself atm, so I am simply
attaching the backtrace here:

Program received signal SIGSEGV, Segmentation fault.
0x080500fa in apply_patch (fd=5, filename=0xbf821b4d "/tmp/404241.patch",
    inaccurate_eof=<value optimized out>) at builtin-apply.c:2504
2504                    if (pathlen <= prefix_length ||
(gdb) bt
#0  0x080500fa in apply_patch (fd=5, filename=0xbf821b4d "/tmp/404241.patch",
    inaccurate_eof=<value optimized out>) at builtin-apply.c:2504
#1  0x0805147a in cmd_apply (argc=3, argv=0xbf8201e4, prefix=0x80e75c6 "src/")
    at builtin-apply.c:2719
#2  0x0804ab55 in handle_internal_command (argc=3, argv=0xbf8201e4,
    envp=<value optimized out>) at git.c:304
#3  0x0804b1f8 in main (argc=3, argv=Cannot access memory at address 0x8
) at git.c:341

-- 
Martin Waitz